[PATCH remotefilelog-cleanup] tests: skip tests if lz4 is missing

raf at durin42.com raf at durin42.com
Thu Jul 16 10:32:37 CDT 2015


# HG changeset patch
# User Augie Fackler <augie at google.com>
# Date 1437060508 14400
#      Thu Jul 16 11:28:28 2015 -0400
# Node ID d32be2b6041843a6e227bf7e8144acc66dd69af6
# Parent  56443b2b25f017e97df717360340ebae777f6bb5
tests: skip tests if lz4 is missing

This prevents lots of useless test output if lz4 is missing on a machine.

diff --git a/tests/library.sh b/tests/library.sh
--- a/tests/library.sh
+++ b/tests/library.sh
@@ -1,3 +1,5 @@
+python -c 'import lz4' || exit 80
+
 cp `echo $HGRCPATH` ./
 CACHEDIR=$PWD/hgcache
 cat >> .hgrc <<EOF


More information about the Mercurial-devel mailing list